#include "utils.h"

#include <KF5/KScreen/kscreen/output.h>
#include <KF5/KScreen/kscreen/edid.h>

QString Utils::outputName(const KScreen::OutputPtr &output)
{
    if (output) return output->name();
    return QString();
}

QString Utils::outputName(const KScreen::Output *output)
{
    return kOutput.at(output->type());
}

QString Utils::sizeToString(const QSize &size)
{
    return QStringLiteral("%1 X %2").arg(size.width()).arg(size.height());
}

